using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter15.Listing15_10.Tests
{
    [TestClass]
    public class ProgramTests
    {
        [TestMethod]
        public void FilteringWithSystem_Linq_Enumerable_Where()
        {
            string expected =
@"Fonograf (1877)
Kinetoskop (1888)
Telegraf elektryczny (1837)
Lokomotywa parowa (1815)";

            IntelliTect.TestTools.Console.ConsoleAssert.Expect(expected,
            () =>
            {
                Program.Main();
            });
        }
    }
}
